#include <nrf_drv_gpiote.h>
#include <app_timer.h>
#include "SDCard.hpp"

//#include "ff.h"
//#include "diskio_blkdev.h"
//#include "nrf_block_dev_sdc.h"

#include "peripheral_pin_map.h"

extern "C" {
#include "fatfs_interface.h"
}

#define NRF_LOG_MODULE_NAME SDCARD
#include "nrf_log.h"
NRF_LOG_MODULE_REGISTER();


void SDCard::init(){
	fatfs_example();
}

void SDCard::close(){
}

void SDCard::write(const uint8_t* bytes, uint32_t num_of_bytes){
	fatfs_write();
}

